#
# spec file for package yast2-installation-control
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           yast2-installation-control
Version:        3.2.2
Release:        2.1

BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source0:        %{name}-%{version}.tar.bz2

Summary:        YaST2 - RNG schema for installation control files
License:        GPL-2.0
Group:          System/YaST
Url:            https://github.com/yast/yast-installation-control

BuildRequires:  yast2-devtools >= 3.1.10

BuildArch:      noarch

%description
This package contains RNG schema for validating the installation control files.

%prep
%setup -n %{name}-%{version}

%build
%yast_build

%install
%yast_install

%files
%defattr(-,root,root)
%dir %{yast_controldir}
%{yast_controldir}/*.rng
%{yast_controldir}/*.rnc

%doc %{yast_docdir}

%changelog
* Mon Jan 16 2017 mfilka@suse.com
- fate#321739
  - proposal's read_only node can be "hard" or "soft" to enable
    editing in case of failure.
- 3.2.2
* Fri Jan 13 2017 igonzalezsosa@suse.com
- Added new option to configure libzypp in a minimalistic way
  (only required packages, no documentation and no multiversion)
  (FATE#321764)
* Fri Jan 13 2017 jreidinger@suse.com
- fix typo in last change breaking build of skelcd (bsc#1019659)
* Thu Jan 12 2017 jreidinger@suse.com
- Added new option for roles to specify additional enabled services
  (FATE#321754)
* Wed Dec 14 2016 shundhammer@suse.de
- Added new parameter for CASP read-only Btrfs root subvolume
  (Fate#321755)
* Fri Dec  9 2016 schubi@suse.de
- Added new options:
  - - readonly_timezone : Timezone cannot be changed by the user.
    (Fate#321754)
  - - clone_install_recommended_default : Default value in cloned
    AutoYaST configuration files. (Fate#321764)
* Wed Dec  7 2016 jreidinger@suse.com
- Added new option for roles to specify its own additional dialogs
  (FATE#321754)
* Thu Nov 17 2016 shundhammer@suse.de
- Added new storage-related parameters for CASP workflow:
  proposal_settings_editable and expert_partitioner_warning
  (Fate#321736)
- 3.2.1
* Mon Oct 31 2016 lslezak@suse.cz
- Added support for read-only proposal modules (fate#321739)
- 3.2.0
* Thu Oct 27 2016 shundhammer@suse.de
- Make subvolumes configurable in control.xml (fate#321737)
- 3.1.13.1
* Mon Mar 14 2016 igonzalezsosa@suse.com
- Added self_update_url (FATE#319716)
- 3.1.13
* Tue Mar  1 2016 mvidner@suse.com
- Added system_roles section (FATE#317481).
- 3.1.12
* Wed Oct  1 2014 ancor@suse.com
- Added globals->dhclient_set_hostname (bnc#870896)
- 3.1.11
* Thu Aug 28 2014 locilka@suse.com
- Element 'packages' in 'one_supported_desktop' has been made
  optional as it's not required by the handling code (bnc#864298)
- 3.1.10
* Tue Jun 24 2014 jreidinger@suse.com
- add elemenent to set default for os_probing per product
  (bnc#884007)
- 3.1.9
* Fri May 16 2014 locilka@suse.com
- Added software->optional_default_patterns - optional patterns
  selected for installation by default that do not cause reporting
  an error if they are missing (bnc#876760)
- 3.1.8
* Thu May 15 2014 locilka@suse.com
- Added software->upgrade->window_managers to handle upgrading
  the system based on the default windowmanager (bnc#874116)
- 3.1.7
* Fri Apr 18 2014 locilka@suse.com
- Added software->default_patterns - patterns selected for
  installation by default (bnc#873923)
- 3.1.6
* Wed Apr  2 2014 jreidinger@suse.com
- add element for separate ssh service enablement (bnc#865056)
- 3.1.5
* Tue Jan  7 2014 lslezak@suse.cz
- move the control files to separate packages
  (yast2-installation-control-openSUSE* and
  yast2-installation-control-SLE*)
- 3.1.4
* Mon Dec 16 2013 lslezak@suse.cz
- added libxslt-tools (providing xsltproc) to BuildRequires
- 3.1.3
* Mon Dec 16 2013 aschnell@suse.de
- added partitioning/btrfs_default_subvolume to allow same code
  for openSUSE and SLES
- 3.1.2
* Mon Dec 16 2013 lslezak@suse.cz
- generate openSUSE-promo and SLES-for-VMware control files from
  the respective base files to remove the duplication
- 3.1.1
* Thu Dec 12 2013 lslezak@suse.cz
- initial version
- 3.1.0
